# pleroma-docker-compose

快速部署一个Pleroma实例

执行以下操作

```
git clone https://git.ima.cm/jkjoy/pleroma-docker-compose.git
cd pleroma-docker-compose
```

你需要编辑`./environments/pleroma/pleroma.env` 其中的 `ops.pleroma.social` 为你自己的域名

启动容器

```
docker-compuse up -d
```


在初始化之后反向代理4000端口即可

创建管理员账号
```
docker exec -it pleroma sh ~/bin/pleroma_ctl user new sun sun@ow3.cn --admin
```
_Notes_

You can customize the mounted config.exs to extend the pleroma config outside the ones generated off environment variables

In `./volumes/pleroma/config.exs` you can append like so:

```
# cat volumes/pleroma/config.exs
import Config

config :pleroma, :instance,
  registrations_open: true,
  federating: true
```

The postgres database files are located in `./volumes/pleroma-db/pgdata`. You can also insert postgres startup scripts inside `./volumes/pleroma-db/pginit`

